org.apache.cassandra.db.compaction

## Class CompactionInfo.Holder

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo.Holder

Direct Known Subclasses:
  AutoSavingCache.Writer, CompactionIterator, IndexSummaryRedistribution, SecondaryIndexBuilder, ViewBuilder

Enclosing class:
  CompactionInfo

    public abstract static class CompactionInfo.Holder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Holder()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract CompactionInfo` `getCompactionInfo()`
`boolean` `isStopRequested()`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Holder

    public Holder()

### Method Detail

#### getCompactionInfo

    public abstract CompactionInfo getCompactionInfo()

#### stop

    public void stop()

#### isStopRequested

    public boolean isStopRequested()